<style>
  table.table td {
    padding-top: 0.1rem;
    padding-bottom: 0.3rem;
  }
  .labelText{margin:10px 0;display:block;}
  .title4{margin:15px 0;position:absolute;top:-50px;padding:0 15px;background-color:#fff}
  .box{border:1px solid rgba(76, 76, 76, 0.21);margin:45px 15px 15px;padding:20px 0px;position:relative;border-radius:5px;width:100%}
  .MLR{margin:0 1px}


  .modal-body{
    max-height: calc(100vh - 200px);
    overflow-y: auto;
  }


</style>
<br>
<div style="margin-top: 15px ">
  <app-company-cctransaction></app-company-cctransaction>

</div>
<div class="container">
  <div class="card">
    <div class="card-body">
      On Demand Corporate Contract  is based on Driver Cost
    </div>
  </div>




  <div class="row" style="margin-top: 5px ">
    <div class="col-sm-3" >
      <button type="button" class="btn btn-primary" data-toggle="modal"
              data-target="#add" (click)="getIncialConfig()">Add Transaction
      </button>
    </div>
    <div class="col-sm-3" >
      <button type="button" class="btn btn-primary" data-toggle="modal"
              data-target="#addBulk" >Bulk Upload
      </button>

    </div>
    <div class="col-sm-3" >
      <button  type="button" class="btn btn-primary" (click)="exportAsXLSX()">DownLoad Sample Template</button>
    </div>
  </div>


  <div class="row">
    <table class="table table-bordered">
      <thead>
      <tr>

        <th>Vehicle Number</th>
        <th>Vehicle Type</th>
        <th>Company Name</th>
        <th>Cost/km</th>
        <th>Total Kms</th>
        <th>Total Amt</th>
        <th>Fixed Cost Double Driver</th>
        <th>Fixed Cost Single Driver</th>
        <th>Fixed And Less Cost</th>
        <th>Halting</th>
        <th>Toll Fees</th>
        <th>Running Cost</th>
        <th>Transaction Start Date</th>
        <th>Transaction End Date</th>
        <th>DELETE</th>

      </tr>
      </thead>
      <tbody>
      <tr *ngFor="let CCDetails of CC2List">
        <td>{{CCDetails.vehicleNumber}}</td>
        <td>{{CCDetails.vehicleType}}</td>
        <td>{{CCDetails.companyTransactionSelected}}</td>
        <td>{{CCDetails.costPerkm}}</td>
          <td>{{CCDetails.totalKms  }}</td>
          <td>{{CCDetails.totalAmt}}</td>
        <td>{{CCDetails.fixedCostDoubleDriver}}</td>
        <td>{{CCDetails.fixedCostSingleDriver}}</td>
        <td>{{CCDetails.fxdAndLesCost}}</td>
        <td>{{CCDetails.halting}}</td>
        <td>{{CCDetails.tollFees}}</td>
        <td>{{CCDetails.runningCost}}</td>
        <td>{{CCDetails.transactionStartDate}}</td>
        <td>{{CCDetails.transactionEndDate}}</td>
        <td>
          <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#deleteModal"
                  (click)="intermerdiateDeleteTranasaction(CCDetails)">Delete
          </button>
        </td>

      </tr>
      </tbody>
    </table>
  </div>

</div>



<!-- Modal -->
<div id="addBulk" class="modal fade" role="dialog">
  <div class="modal-dialog">

    <!-- Modal content-->
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal">&times;</button>
        <h4 class="modal-title">Upload Bulk</h4>
      </div>
      <div class="modal-body">

        <div class="row">
          <div class="col-sm-6">
            <label class="text-capitalize">Transaction Start Date<span style="color:red">*</span></label>
            <input type="date" class="form-control" placeholder="yyyy-mm-dd"  name="dp1" id="dp1" #dp="ngModel"
                   [(ngModel)]="bulkUpload.transactionStartDate">
          </div>
          <div class="col-sm-6">
            <label class="text-capitalize">Transaction End Date<span style="color:red">*</span></label>
            <input type="date" class="form-control" placeholder="yyyy-mm-dd"  name="dp1" id="dp1" #dp="ngModel"
                   [(ngModel)]="bulkUpload.transactionEndDate">
          </div>
        </div>
        <br>
        <br>
        <div class="row">
          <div class="col-sm-6">
            <form>
              <input type="file" name="fileToUpload" id="fileToUpload" [(ngModel)]="cc1ExcelDetails"
                     (change)="uploadCc1ExcelDetails($event)" >
            </form>
          </div>

        </div>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-primary" (click)="saveCC2DetaisToDB()">submit</button>
        <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
      </div>
    </div>

  </div>
</div>


<!-- Modal -->
<div id="add" class="modal fade right" role="dialog">
  <div class="modal-dialog modal-lg     form-modal">

    <!-- Modal content-->
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" (click)="getIncialConfig()">&times;</button>
        <h4 class="modal-title">Add Transaction</h4>
      </div>
      <div class="modal-body">

        <div class="row">
          <div class="col-sm-6" >
            <label class="text-capitalize">Select Vehicle<span style="color:red">*</span></label>
            <ng-multiselect-dropdown
                    [placeholder]="'Select Vehicle'"
                    [data]="vechicleDropdownList"
                    [(ngModel)]="selectedVehicleItems"
                    [settings]="vechicledropdownSettings"
                    (onSelect)="onvehicleSelect($event)"
                    (onSelectAll)="onSelectAll($event)"
                    (onDeSelect)="onItemDeSelect($event)">
            </ng-multiselect-dropdown>
          </div>
          <div class="col-sm-6" style="float: left">
            <label class="text-capitalize">Select Company<span style="color:red">*</span></label>
            <ng-multiselect-dropdown
                    [placeholder]="'Select Company'"
                    [data]="companyAssetDropDown"
                    [(ngModel)]="companySelected"
                    [settings]="companyDropdownSettings"
                    (onSelect)="onCompanySelect($event)"
            >
            </ng-multiselect-dropdown>
          </div>

        </div>
          <br>
        <div class="row">
          <div class="col-sm-6">
            <label class="text-capitalize">Transaction Start Date<span style="color:red">*</span></label>
            <input type="date" class="form-control" placeholder="yyyy-mm-dd"  name="dp1" id="dp1" #dp="ngModel"
                   [(ngModel)]="bulkUpload.transactionStartDate">
          </div>
          <div class="col-sm-6">
            <label class="text-capitalize">Transaction End Date<span style="color:red">*</span></label>
            <input type="date" class="form-control" placeholder="yyyy-mm-dd"  name="dp1" id="dp1" #dp="ngModel"
                   [(ngModel)]="bulkUpload.transactionEndDate">
          </div>
        </div>

         <!-- <div class="row">
              <div class="col-sm-6">
                  <label class="text-capitalize fontMedium">Transaction Date
                  </label>
                  <form class="form-inline">
                      <div class="form-group">
                          <div class="input-group">
                              <input class="form-control" placeholder="yyyy-mm-dd"
                                     name="dp" [(ngModel)]="transactionDate" ngbDatepicker #d="ngbDatepicker">
                              <div class="input-group-append">
                                  <button class="" (click)="d.toggle()" type="button"><i class="fa fa-calendar-check-o"
                                                                                         aria-hidden="true"></i>
                                  </button>
                              </div>
                          </div>
                      </div>
                  </form>
              </div>
          </div>-->
        <div class="row">
          <div class="box clearfix">
            <div class="col-sm-12">
              <h3 class="title4">Transaction Entry</h3>
            </div>
            <div class="row MLR">
              <div class="col-sm-12">
                <div class="row" *ngIf="corporateContractFields">
                  <div class="form-group py-2 col-sm-6 col-md-6 col-lg-6 .col-xl-6"  *ngFor="let field of corporateContractFields">
                    <div *ngIf="field.configurationType!=='configuration'" >
                      <div *ngIf=" field.fieldDisplayType==='number' && field.configurationType!=='configuration'  ">
                        <label class="text-capitalize">{{field.label}}<span style="color:red">*</span></label>
                        <input type="number" class="form-control" placeholder={{field.description}} name=field.label
                               [(ngModel)]="formConfigData[field.field]" required>
                      </div>

                      <div *ngIf=" field.fieldDisplayType==='number' && field.configurationType==='configuration'  ">
                        <label class="text-capitalize">{{field.label}}<span style="color:red">*</span></label>
                        <input type="number" class="form-control" placeholder={{field.description}} name=field.label
                               [(ngModel)]="formConfigData[field.field]" readonly required>
                      </div>


                      <div *ngIf="field.required  && field.fieldDisplayType==='text'  && field.configurationType!=='configuration' ">
                        <label class="text-capitalize">{{field.label}}<span style="color:red">*</span></label>
                        <input type="field.type" class="form-control" placeholder={{field.description}} name=field.label
                               [(ngModel)]="formConfigData[field.field]" required>
                      </div>


                      <div *ngIf="field.required  && field.fieldDisplayType==='text'  && field.configurationType==='configuration' ">
                        <label class="text-capitalize">{{field.label}}<span style="color:red">*</span></label>
                        <input type="field.type" class="form-control" placeholder={{field.description}} name=field.label
                               [(ngModel)]="formConfigData[field.field]" readonly required>
                      </div>



                      <div *ngIf="!field.required  && field.fieldDisplayType==='text' && field.configurationType!=='configuration' ">
                        <label class="text-capitalize">{{field.label}}</label>
                        <input type="field.type" class="form-control" placeholder={{field.description}} name=field.label
                               [(ngModel)]="formConfigData[field.field]" >
                      </div>

                      <div *ngIf="!field.required  && field.fieldDisplayType==='text' && field.configurationType==='configuration' ">
                        <label class="text-capitalize">{{field.label}}</label>
                        <input type="field.type" class="form-control" placeholder={{field.description}} name=field.label
                               [(ngModel)]="formConfigData[field.field]" readonly>
                      </div>


                    </div>
                    <div *ngIf="field.field!=='corporateContract' && field.fieldDisplayType==='dropDown' ">
                      <div class="text-capitalize">{{field.label}}</div>
                      <select [(ngModel)]="formConfigData[field.field]" id="category" class="form-control">
                        <option  *ngFor="let value of field.value.dropDownValues">{{value}}</option>
                      </select>
                    </div>

                    <div *ngIf="field.fieldDisplayType==='textarea' ">
                      <div class="form-group">
                        <label class="text-capitalize">{{field.label}}</label>
                        <textarea class="form-control" rows="3" [(ngModel)]="formConfigData[field.field]"  ></textarea>
                      </div>
                    </div>

                    <div *ngIf="field.fieldDisplayType==='date' " >
                      <label class="text-capitalize fontMedium">{{field.label}}</label>
                      <form class="form-inline">
                        <div class="form-group">
                          <div class="input-group">
                            <input class="form-control" placeholder="yyyy-mm-dd"
                                   name="dp" [(ngModel)]="field.field" ngbDatepicker #d="ngbDatepicker">
                            <div class="input-group-append">
                              <button class="" (click)="d.toggle()" type="button"><i class="fa fa-calendar-check-o"
                                                                                     aria-hidden="true"></i>
                              </button>
                            </div>
                          </div>
                        </div>
                      </form>
                    </div>



                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>

        <div class="row">
          <div class="box clearfix">
            <div class="col-sm-12">
              <h3 class="title4">Configuration Entry</h3>
            </div >
            <div class="row MLR">
              <div class="col-sm-12">
                <div class="row" *ngIf="corporateContractFields">
                  <div class="form-group py-2 col-sm-6 col-md-6 col-lg-6 .col-xl-6"  *ngFor="let field of corporateContractFields">
                    <div *ngIf="field.configurationType==='configuration' && !field.isDriverCostField " >
                      <div *ngIf=" field.fieldDisplayType==='number' && field.configurationType!=='configuration'   ">
                        <label class="text-capitalize">{{field.label}}<span style="color:red">*</span></label>
                        <input type="number" class="form-control" placeholder={{field.description}} name=field.label
                               [(ngModel)]="formConfigData[field.field]" required>
                      </div>

                      <div *ngIf=" field.fieldDisplayType==='number' && field.configurationType==='configuration'  ">
                        <label class="text-capitalize">{{field.label}}<span style="color:red">*</span></label>
                        <input type="number" class="form-control" placeholder={{field.description}} name=field.label
                               [(ngModel)]="formConfigData[field.field]" readonly required>
                      </div>


                      <div *ngIf="field.required  && field.fieldDisplayType==='text'  && field.configurationType!=='configuration' ">
                        <label class="text-capitalize">{{field.label}}<span style="color:red">*</span></label>
                        <input type="field.type" class="form-control" placeholder={{field.description}} name=field.label
                               [(ngModel)]="formConfigData[field.field]" required>
                      </div>


                      <div *ngIf="field.required  && field.fieldDisplayType==='text'  && field.configurationType==='configuration' ">
                        <label class="text-capitalize">{{field.label}}<span style="color:red">*</span></label>
                        <input type="field.type" class="form-control" placeholder={{field.description}} name=field.label
                               [(ngModel)]="formConfigData[field.field]" readonly required>
                      </div>



                      <div *ngIf="!field.required  && field.fieldDisplayType==='text' && field.configurationType!=='configuration' ">
                        <label class="text-capitalize">{{field.label}}</label>
                        <input type="field.type" class="form-control" placeholder={{field.description}} name=field.label
                               [(ngModel)]="formConfigData[field.field]" >
                      </div>

                      <div *ngIf="!field.required  && field.fieldDisplayType==='text' && field.configurationType==='configuration' ">
                        <label class="text-capitalize">{{field.label}}</label>
                        <input type="field.type" class="form-control" placeholder={{field.description}} name=field.label
                               [(ngModel)]="formConfigData[field.field]" readonly>
                      </div>


                    </div>
                    <div *ngIf="field.field!=='corporateContract' && field.fieldDisplayType==='dropDown' ">
                      <div class="text-capitalize">{{field.label}}</div>
                      <select [(ngModel)]="formConfigData[field.field]" id="category" class="form-control">
                        <option  *ngFor="let value of field.value.dropDownValues">{{value}}</option>
                      </select>
                    </div>

                    <div *ngIf="field.fieldDisplayType==='textarea' ">
                      <div class="form-group">
                        <label class="text-capitalize">{{field.label}}</label>
                        <textarea class="form-control" rows="3" [(ngModel)]="formConfigData[field.field]"  ></textarea>
                      </div>
                    </div>

                    <div *ngIf="field.fieldDisplayType==='date' " >
                      <label class="text-capitalize fontMedium">{{field.label}}</label>
                      <form class="form-inline">
                        <div class="form-group">
                          <div class="input-group">
                            <input class="form-control" placeholder="yyyy-mm-dd"
                                   name="dp" [(ngModel)]="field.field" ngbDatepicker #d="ngbDatepicker">
                            <div class="input-group-append">
                              <button class="" (click)="d.toggle()" type="button"><i class="fa fa-calendar-check-o"
                                                                                     aria-hidden="true"></i>
                              </button>
                            </div>
                          </div>
                        </div>
                      </form>
                    </div>



                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>



        <div class="row">
          <div class="box clearfix">
            <div class="col-sm-12">
              <h3 class="title4">Driver Cost Entry</h3>
            </div >
            <div class="row MLR">
              <div class="col-sm-12">
                <div class="row" *ngIf="corporateContractFields">
                  <div class="form-group py-2 col-sm-6 col-md-6 col-lg-6 .col-xl-6"  *ngFor="let field of corporateContractFields">
                    <div *ngIf="field.configurationType==='configuration' && field.isDriverCostField " >
                      <div *ngIf=" field.fieldDisplayType==='number' && field.configurationType!=='configuration'   ">
                        <label class="text-capitalize">{{field.label}}<span style="color:red">*</span></label>
                        <input type="number" class="form-control" placeholder={{field.description}} name=field.label
                               [(ngModel)]="formConfigData[field.field]" required>
                      </div>

                      <div *ngIf=" field.fieldDisplayType==='number' && field.configurationType==='configuration'  ">
                        <label class="text-capitalize">{{field.label}}<span style="color:red">*</span></label>
                        <input type="number" class="form-control" placeholder={{field.description}} name=field.label
                               [(ngModel)]="formConfigData[field.field]" readonly required>
                      </div>


                      <div *ngIf="field.required  && field.fieldDisplayType==='text'  && field.configurationType!=='configuration' ">
                        <label class="text-capitalize">{{field.label}}<span style="color:red">*</span></label>
                        <input type="field.type" class="form-control" placeholder={{field.description}} name=field.label
                               [(ngModel)]="formConfigData[field.field]" required>
                      </div>


                      <div *ngIf="field.required  && field.fieldDisplayType==='text'  && field.configurationType==='configuration' ">
                        <label class="text-capitalize">{{field.label}}<span style="color:red">*</span></label>
                        <input type="field.type" class="form-control" placeholder={{field.description}} name=field.label
                               [(ngModel)]="formConfigData[field.field]" readonly required>
                      </div>



                      <div *ngIf="!field.required  && field.fieldDisplayType==='text' && field.configurationType!=='configuration' ">
                        <label class="text-capitalize">{{field.label}}</label>
                        <input type="field.type" class="form-control" placeholder={{field.description}} name=field.label
                               [(ngModel)]="formConfigData[field.field]" >
                      </div>

                      <div *ngIf="!field.required  && field.fieldDisplayType==='text' && field.configurationType==='configuration' ">
                        <label class="text-capitalize">{{field.label}}</label>
                        <input type="field.type" class="form-control" placeholder={{field.description}} name=field.label
                               [(ngModel)]="formConfigData[field.field]" readonly>
                      </div>


                    </div>
                    <div *ngIf="field.field!=='corporateContract' && field.fieldDisplayType==='dropDown' ">
                      <div class="text-capitalize">{{field.label}}</div>
                      <select [(ngModel)]="formConfigData[field.field]" id="category" class="form-control">
                        <option  *ngFor="let value of field.value.dropDownValues">{{value}}</option>
                      </select>
                    </div>

                    <div *ngIf="field.fieldDisplayType==='textarea' ">
                      <div class="form-group">
                        <label class="text-capitalize">{{field.label}}</label>
                        <textarea class="form-control" rows="3" [(ngModel)]="formConfigData[field.field]"  ></textarea>
                      </div>
                    </div>

                    <div *ngIf="field.fieldDisplayType==='date' " >
                      <label class="text-capitalize fontMedium">{{field.label}}</label>
                      <form class="form-inline">
                        <div class="form-group">
                          <div class="input-group">
                            <input class="form-control" placeholder="yyyy-mm-dd"
                                   name="dp" [(ngModel)]="field.field" ngbDatepicker #d="ngbDatepicker">
                            <div class="input-group-append">
                              <button class="" (click)="d.toggle()" type="button"><i class="fa fa-calendar-check-o"
                                                                                     aria-hidden="true"></i>
                              </button>
                            </div>
                          </div>
                        </div>
                      </form>
                    </div>



                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>

      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal"   (click)="submitTransaction()" >Submit</button>
        <button type="button" class="btn  btn-warning" data-dismiss="modal" (click)="getIncialConfig()">Close</button>
      </div>
    </div>

  </div>
</div>
<!-- The Modal -->
<div class="modal" id="deleteModal">
  <div class="modal-dialog">
    <div class="modal-content">

      <!-- Modal Header -->
      <div class="modal-header">
        <h4 class="modal-title">Delete Conformation</h4>
        <button type="button" class="close" data-dismiss="modal">&times;</button>
      </div>

      <!-- Modal body -->
      <div class="modal-body">
        Are you sure u want to delete Transaction
      </div>

      <!-- Modal footer -->
      <div class="modal-footer">
        <button type="button" class="btn btn-danger" data-dismiss="modal"  (click)="deleteCC1Trasnaction(deleteTransactionData)">Delete</button>
        <button type="button" class="btn btn-warning" data-dismiss="modal">Close</button>
      </div>

    </div>
  </div>
</div>
